Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
OnigMetaCharTableType Struct Reference

`#include <onigmo.h>`

## Data Fields
OnigCodePoint | esc
OnigCodePoint | anychar
OnigCodePoint | anytime
OnigCodePoint | zero_or_one_time
OnigCodePoint | one_or_more_time
OnigCodePoint | anychar_anytime

## Detailed Description

Definition at line 149 of file onigmo.h.

## Field Documentation

## ◆ anychar

OnigCodePoint OnigMetaCharTableType::anychar

Definition at line 151 of file onigmo.h.

Referenced by onig_set_meta_char().

## ◆ anychar_anytime

OnigCodePoint OnigMetaCharTableType::anychar_anytime

Definition at line 155 of file onigmo.h.

Referenced by onig_set_meta_char().

## ◆ anytime

OnigCodePoint OnigMetaCharTableType::anytime

Definition at line 152 of file onigmo.h.

Referenced by onig_set_meta_char().

## ◆ esc

OnigCodePoint OnigMetaCharTableType::esc

Definition at line 150 of file onigmo.h.

Referenced by onig_set_meta_char().

## ◆ one_or_more_time

OnigCodePoint OnigMetaCharTableType::one_or_more_time

Definition at line 154 of file onigmo.h.

Referenced by onig_set_meta_char().

## ◆ zero_or_one_time

OnigCodePoint OnigMetaCharTableType::zero_or_one_time

Definition at line 153 of file onigmo.h.

Referenced by onig_set_meta_char().

The documentation for this struct was generated from the following file:

- include/ruby/onigmo.h